Page MenuHomePhabricator

NetBSD doesn't provide struct statfs, make use of struct statvfs
ClosedPublic

Authored by krytarowski on Sep 5 2015, 6:57 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski updated this revision to Diff 34108.Sep 5 2015, 6:57 AM
krytarowski retitled this revision from to NetBSD doesn't provide struct statfs, make use of struct statvfs.
krytarowski updated this object.
krytarowski added a reviewer: joerg.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added a subscriber: lldb-commits.
joerg edited edge metadata.Sep 5 2015, 12:07 PM

One good question is whether using statvfs(3) shouldn't be the default as it is the POSIX interface.

labath added a subscriber: labath.Sep 7 2015, 2:18 AM

One good question is whether using statvfs(3) shouldn't be the default as it is the POSIX interface.

Unfortunately, that will not work as linux does not define the MNT_LOCAL flag and struct statvfs does not contain the f_type magic field.

sas accepted this revision.Sep 8 2015, 11:07 AM
sas added a reviewer: sas.
This revision is now accepted and ready to land.Sep 8 2015, 11:07 AM

Thank you. Place commit.

sas closed this revision.Sep 8 2015, 6:21 PM

Committed as r247115.